/* HTTP API 维修业务模块
 * Copyright 2020, CAIMEI365
 * Date   2020/09/09
 * auther ZHJY
 */
var RepairApi = {
        /* 查询用户维修列表 */
        GetFindMaintenance: function (params, callback) {
            Http.AjaxService({ url:'/pcCenter/findMaintenance', type:'GET', data:params, json:false})
            .then(function(res){
                callback(res);
            });
        },
        /* 用户申请维修 */
        AddApplyMaintenance: function (params, callback) {
            Http.AjaxService({ url:'/pcCenter/applyMaintenance', type:'POST', data:params, json:false})
            .then(function(res){
                callback(res);
            });
        },
         /* 维修详情 */
        MaintenanceDetail: function (params, callback) {
            Http.AjaxService({ url:'/pcCenter/maintenance/detail', type:'GET', data:params, json:false})
            .then(function(res){
                callback(res);
            });
        },
        /* 维修详情 提交评论 */
       evaluation: function (params, callback) {
            Http.AjaxService({ url:'/pcCenter/maintenance/evaluation', type:'POST', data:params, json:false})
            .then(function(res){
                callback(res);
            });
        },

};
